%define		name		barrage
%define 	version		1.0.5

Summary: 	Kill and destroy as many targets as possible within 3 minutes
Summary(de):	Töten und zerstören Sie so viele Ziele wie möglich in 3 Minuten
Name: 		%name
Version: 	%version
Release: 	%mkrel 1
Copyright: 	GPL2
Group: 		Games/Arcade
Source: 	http://softlayer.dl.sourceforge.net/sourceforge/lgames/%{name}-%{version}.tar.xz
URL: 		http://lgames.sourceforge.net/index.php?project=Barrage
Prefix: 	/usr
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	SDL-devel >= 1.2.0
Requires:	SDL >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
Requires:	SDL_mixer >= 1.2.0
Packager:	Joble

%description
Barrage is a rather violent action game with the objective to kill
and destroy as many targets as possible within 3 minutes. The player
controls a gun that may either fire small or large grenades at
soldiers, jeeps and tanks. It is a very simple gameplay though it is
not that easy to get high scores.

%description -l de
Barrage is ein weiteres Aktionspiel mit dem Ziel so viele Ziele wie 
möglich zu töten und zu zerstören und das innerhalb von 3 Minuten. Der
Spieler steuert eine Waffe, die kleine und große Granten auf Soldaten, 
Geländewagen und Panzer schießt. Es ist ein einfaches Spielprinzip, aber
es ist nicht leicht eine hohe Punktzahl zu bekommen.

%prep
%setup -q

%build
%configure2_5x --prefix=%{prefix} --datadir=%{_gamesdatadir}
%make

%install
rm -fR $RPM_BUILD_ROOT
%makeinstall_std

# move desktop file and icons to correct location
mv %{buildroot}/%{_gamesdatadir}/applications %{buildroot}/%{_datadir}
mv %{buildroot}/%{_gamesdatadir}/icons %{buildroot}/%{_datadir}

desktop-file-install --vendor="" \
  --remove-category="Game" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_gamesdatadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/barrage48.png
/var/%{name}.hscr

%changelog
* Sun May 31 2020 ghostbunny <ghostbunny at gmx dot de> 1.0.5-1pclos2020
- 1.0.5

* Mon Feb 20 2012 Neal <nealbrks0 at gmail dot com> 1.0.4-1pclos2012
- process

* Sun Feb 19 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.4-1pclos2012
- 1.0.4
- added german summary and description
- fixed desktop file (patch isnt needed anymore)
- added xz compression
- renamed spec from barrage.spec to pclos-barrage.spec

* Mon Jun 29 2009 Joble <joble@belproject.org> 1.0.2-1pclos2009
- Built for PCLinuxOS
